﻿using System;
using System.Web.Mvc;
using System.Collections.Generic;
using Syncfusion.JavaScript.Models;
using SyncfusionMvcApplication2.Models;
using System.ComponentModel.DataAnnotations;
namespace SyncfusionMvcApplication2
{
    public partial class DropdownlistController : Controller
    {
        public ActionResult DropdownlistFeatures()
        {
            DropDownListProperties ddl = new DropDownListProperties();
            ddl.DataSource = GetDataSource();
            DropDownListFields ddf = new DropDownListFields();
            ddf.Text = "name";
            ddf.Id = "id";
            ddf.Value = "ID";
            ddl.DropDownListFields = ddf;

            ViewData["ddl"] = ddl;

            return View();
        }
        public List<CarsList> GetDataSource()
        {
            List<CarsList> cars = new List<CarsList>();
            cars.Add(new CarsList { id = 1, name = "Audi S6", value = 100 });
            cars.Add(new CarsList { id = 2, name = "Austin-žHealey", value = 200 });
            cars.Add(new CarsList { id = 3, name = "BMW š7", value = 300 });
            cars.Add(new CarsList { id = 4, name = "Chevrolet Camarož", value = 400 });
            cars.Add(new CarsList { id = 6, name = "Ferrari š360", value = 500 });
            cars.Add(new CarsList { id = 7, name = "Honda S2000", value = 600 });
            cars.Add(new CarsList { id = 8, name = "Hyundai Santroš", value = 700 });
            cars.Add(new CarsList { id = 9, name = "Isuzu Swift", value = 800 });
            cars.Add(new CarsList { id = 10, name = "Jaguar XJS", value = 900 });
            return cars;
        }
        public class CarsList
        {
            public int id { get; set; }
            public string name { get; set; }
            public int value { get; set; }
        }
    }
}